
package com.amadeus.travelManagement.amadeus.xml._2010._06.travel_ordercreaterq_v1;

import javax.xml.bind.annotation.XmlEnum;
import javax.xml.bind.annotation.XmlEnumValue;
import javax.xml.bind.annotation.XmlType;


/**
 * &lt;p&gt;Java class for SrvcCombineRuleListType.
 * 
 * &lt;p&gt;The following schema fragment specifies the expected content contained within this class.
 * &lt;pre&gt;
 * &amp;lt;simpleType name="SrvcCombineRuleListType"&amp;gt;
 *   &amp;lt;restriction base="{http://www.w3.org/2001/XMLSchema}string"&amp;gt;
 *     &amp;lt;enumeration value="NotPermitted"/&amp;gt;
 *     &amp;lt;enumeration value="Permitted"/&amp;gt;
 *     &amp;lt;enumeration value="Other"/&amp;gt;
 *   &amp;lt;/restriction&amp;gt;
 * &amp;lt;/simpleType&amp;gt;
 * &lt;/pre&gt;
 * 
 */
@XmlType(name = "SrvcCombineRuleListType")
@XmlEnum
public enum SrvcCombineRuleListType {

    @XmlEnumValue("NotPermitted")
    NOT_PERMITTED("NotPermitted"),
    @XmlEnumValue("Permitted")
    PERMITTED("Permitted"),
    @XmlEnumValue("Other")
    OTHER("Other");
    private final String value;

    SrvcCombineRuleListType(String v) {
        value = v;
    }

    public String value() {
        return value;
    }

    public static SrvcCombineRuleListType fromValue(String v) {
        for (SrvcCombineRuleListType c: SrvcCombineRuleListType.values()) {
            if (c.value.equals(v)) {
                return c;
            }
        }
        throw new IllegalArgumentException(v);
    }

}
